Delete Session
curl --request DELETE \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id} \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sessions
Delete Session
Delete a session and all associated data.
Permanently deletes a session along with its messages (from MongoDB), vector embeddings (from Milvus), and any memories, memory connections, memory categories, and merge conflicts that were created from this session.
Path Parameters:
custom_user_id(str): Unique identifier for the user owning the sessionsession_id(UUID): Session UUID to delete
Returns:
- 204 No Content on success
DELETE
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
/
{session_id}
Delete Session
curl --request DELETE \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id} \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Was this page helpful?
⌘I

